v 2.4 not updating

I’m using v 2.4 and I did not get any update. If I update manually I don’t get any update. Do I need to remove v 2.4 before installing v 3?

If i were you i’d uninstall v2.4 and i’d download and instal new v3.
I prefer a fresh install.

It was recommended to do a fresh install of V3.

Also, see here